<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 01/01/2010 *
 * ===================                          Last change: 01/01/2010 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : autoreg.php                                      *
 * -------------------------------------------------------------------- *
 * Short description : API script for ext-autoreg                       *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : API-Script fuer ext-autoreg                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Load security stuff here
require('inc/libs/security_functions.php');

// Init start time
$GLOBALS['__start_time'] = microtime(TRUE);

/*
 * Set output to "AJAX mode", proper module and prevent HTML headers/footers
 * being sent.
 */
$GLOBALS['__output_mode'] = -2;
$GLOBALS['__module']      = 'autoreg';
$GLOBALS['__header_sent'] = 2;
$GLOBALS['__footer_sent'] = 2;

// Load the required file(s)
require('inc/config-global.php');

// Set content type
setContentType('text/plain');

// Load header
loadPageHeader();

// @TODO Add processing of request here

// Load footer
loadPageFooter();

// [EOF]
?>
